package com.mx.dla.dda.contrato.fees.dtos;

import java.io.Serializable;

import org.apache.commons.lang3.builder.ReflectionToStringBuilder;

public class FeesFlatBD implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private Long   idContratoPago;
	private Long   idFlat;
	private Integer anio;
	private String costo;
	private Long   idCategoria;
	private String desCategoria;	
	private String bonoAnioInicio;
	private Long   bonoTipoSuscriptor;	
		
	public FeesFlatBD(){}
			
	public FeesFlatBD(Long idFlat, Long idContratoPago, Long idCategoria, Integer anio, String costo) {		
		this.idContratoPago = idContratoPago;
		this.idFlat = idFlat;
		this.anio = anio;
		this.costo = costo;
		this.idCategoria = idCategoria;
	}
	
	
	public Long getIdContratoPago() {
		return idContratoPago;
	}
	public void setIdContratoPago(Long idContratoPago) {
		this.idContratoPago = idContratoPago;
	}
	public Long getIdFlat() {
		return idFlat;
	}
	public void setIdFlat(Long idFlat) {
		this.idFlat = idFlat;
	}
	public Integer getAnio() {
		return anio;
	}
	public void setAnio(Integer anio) {
		this.anio = anio;
	}
	public String getCosto() {
		return costo;
	}
	public void setCosto(String costo) {
		this.costo = costo;
	}
	public Long getIdCategoria() {
		return idCategoria;
	}
	public void setIdCategoria(Long idCategoria) {
		this.idCategoria = idCategoria;
	}
	public String getDesCategoria() {
		return desCategoria;
	}
	public void setDesCategoria(String desCategoria) {
		this.desCategoria = desCategoria;
	}
	public String getBonoAnioInicio() {
		return bonoAnioInicio;
	}
	public void setBonoAnioInicio(String bonoAnioInicio) {
		this.bonoAnioInicio = bonoAnioInicio;
	}
	public Long getBonoTipoSuscriptor() {
		return bonoTipoSuscriptor;
	}
	public void setBonoTipoSuscriptor(Long bonoTipoSuscriptor) {
		this.bonoTipoSuscriptor = bonoTipoSuscriptor;
	}
	
	@Override
	public String toString() {
		return ReflectionToStringBuilder.toString(this);
	}
}
